package domain


type AlibabaWdkChannelOrderCreateBuyer struct {
    /*
        买家标识     */
    UserId  *string `json:"user_id,omitempty" `

    /*
        买家用户名     */
    UserName  *string `json:"user_name,omitempty" `

    /*
        买家昵称     */
    UserNick  *string `json:"user_nick,omitempty" `

    /*
        买家电话     */
    Phone  *string `json:"phone,omitempty" `

}

func (s *AlibabaWdkChannelOrderCreateBuyer) SetUserId(v string) *AlibabaWdkChannelOrderCreateBuyer {
    s.UserId = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateBuyer) SetUserName(v string) *AlibabaWdkChannelOrderCreateBuyer {
    s.UserName = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateBuyer) SetUserNick(v string) *AlibabaWdkChannelOrderCreateBuyer {
    s.UserNick = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateBuyer) SetPhone(v string) *AlibabaWdkChannelOrderCreateBuyer {
    s.Phone = &v
    return s
}
